Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network156.166.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
Network address
156.166.0.0
Broadcast address
156.167.255.255
First usable
156.166.0.1
Last usable
156.167.255.254
Usable hosts
131,070 (131,072 less the network and broadcast addresses)
Subnet mask
255.254.0.0
Wildcard mask
0.1.255.255 (Cisco ACLs, OSPF)
Prefix length
/15
Type
Public public
Old class
B (default /16)
As numbers
Hex 9CA60000 · Integer 2628124672 to 2628255743
Reverse DNS zones
166.156.in-addr.arpa
167.156.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10011100.10100110.00000000.00000000156.166.0.0
Subnet mask11111111.11111110.00000000.00000000255.254.0.0
Network10011100.10100110.00000000.00000000156.166.0.0
Broadcast10011100.10100111.11111111.11111111156.167.255.255
Split into smaller subnets/26

156.166.0.0/15 makes 2,048 subnets of /26; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1156.166.0.0/26156.166.0.1 to 156.166.0.62156.166.0.6362
2156.166.0.64/26156.166.0.65 to 156.166.0.126156.166.0.12762
3156.166.0.128/26156.166.0.129 to 156.166.0.190156.166.0.19162
4156.166.0.192/26156.166.0.193 to 156.166.0.254156.166.0.25562
5156.166.1.0/26156.166.1.1 to 156.166.1.62156.166.1.6362
6156.166.1.64/26156.166.1.65 to 156.166.1.126156.166.1.12762
7156.166.1.128/26156.166.1.129 to 156.166.1.190156.166.1.19162
8156.166.1.192/26156.166.1.193 to 156.166.1.254156.166.1.25562
9156.166.2.0/26156.166.2.1 to 156.166.2.62156.166.2.6362
10156.166.2.64/26156.166.2.65 to 156.166.2.126156.166.2.12762
11156.166.2.128/26156.166.2.129 to 156.166.2.190156.166.2.19162
12156.166.2.192/26156.166.2.193 to 156.166.2.254156.166.2.25562
13156.166.3.0/26156.166.3.1 to 156.166.3.62156.166.3.6362
14156.166.3.64/26156.166.3.65 to 156.166.3.126156.166.3.12762
15156.166.3.128/26156.166.3.129 to 156.166.3.190156.166.3.19162
16156.166.3.192/26156.166.3.193 to 156.166.3.254156.166.3.25562
17156.166.4.0/26156.166.4.1 to 156.166.4.62156.166.4.6362
18156.166.4.64/26156.166.4.65 to 156.166.4.126156.166.4.12762
19156.166.4.128/26156.166.4.129 to 156.166.4.190156.166.4.19162
20156.166.4.192/26156.166.4.193 to 156.166.4.254156.166.4.25562
21156.166.5.0/26156.166.5.1 to 156.166.5.62156.166.5.6362
22156.166.5.64/26156.166.5.65 to 156.166.5.126156.166.5.12762
23156.166.5.128/26156.166.5.129 to 156.166.5.190156.166.5.19162
24156.166.5.192/26156.166.5.193 to 156.166.5.254156.166.5.25562
25156.166.6.0/26156.166.6.1 to 156.166.6.62156.166.6.6362
26156.166.6.64/26156.166.6.65 to 156.166.6.126156.166.6.12762
27156.166.6.128/26156.166.6.129 to 156.166.6.190156.166.6.19162
28156.166.6.192/26156.166.6.193 to 156.166.6.254156.166.6.25562
29156.166.7.0/26156.166.7.1 to 156.166.7.62156.166.7.6362
30156.166.7.64/26156.166.7.65 to 156.166.7.126156.166.7.12762
31156.166.7.128/26156.166.7.129 to 156.166.7.190156.166.7.19162
32156.166.7.192/26156.166.7.193 to 156.166.7.254156.166.7.25562
33156.166.8.0/26156.166.8.1 to 156.166.8.62156.166.8.6362
34156.166.8.64/26156.166.8.65 to 156.166.8.126156.166.8.12762
35156.166.8.128/26156.166.8.129 to 156.166.8.190156.166.8.19162
36156.166.8.192/26156.166.8.193 to 156.166.8.254156.166.8.25562
37156.166.9.0/26156.166.9.1 to 156.166.9.62156.166.9.6362
38156.166.9.64/26156.166.9.65 to 156.166.9.126156.166.9.12762
39156.166.9.128/26156.166.9.129 to 156.166.9.190156.166.9.19162
40156.166.9.192/26156.166.9.193 to 156.166.9.254156.166.9.25562
41156.166.10.0/26156.166.10.1 to 156.166.10.62156.166.10.6362
42156.166.10.64/26156.166.10.65 to 156.166.10.126156.166.10.12762
43156.166.10.128/26156.166.10.129 to 156.166.10.190156.166.10.19162
44156.166.10.192/26156.166.10.193 to 156.166.10.254156.166.10.25562
45156.166.11.0/26156.166.11.1 to 156.166.11.62156.166.11.6362
46156.166.11.64/26156.166.11.65 to 156.166.11.126156.166.11.12762
47156.166.11.128/26156.166.11.129 to 156.166.11.190156.166.11.19162
48156.166.11.192/26156.166.11.193 to 156.166.11.254156.166.11.25562
49156.166.12.0/26156.166.12.1 to 156.166.12.62156.166.12.6362
50156.166.12.64/26156.166.12.65 to 156.166.12.126156.166.12.12762
51156.166.12.128/26156.166.12.129 to 156.166.12.190156.166.12.19162
52156.166.12.192/26156.166.12.193 to 156.166.12.254156.166.12.25562
53156.166.13.0/26156.166.13.1 to 156.166.13.62156.166.13.6362
54156.166.13.64/26156.166.13.65 to 156.166.13.126156.166.13.12762
55156.166.13.128/26156.166.13.129 to 156.166.13.190156.166.13.19162
56156.166.13.192/26156.166.13.193 to 156.166.13.254156.166.13.25562
57156.166.14.0/26156.166.14.1 to 156.166.14.62156.166.14.6362
58156.166.14.64/26156.166.14.65 to 156.166.14.126156.166.14.12762
59156.166.14.128/26156.166.14.129 to 156.166.14.190156.166.14.19162
60156.166.14.192/26156.166.14.193 to 156.166.14.254156.166.14.25562
61156.166.15.0/26156.166.15.1 to 156.166.15.62156.166.15.6362
62156.166.15.64/26156.166.15.65 to 156.166.15.126156.166.15.12762
63156.166.15.128/26156.166.15.129 to 156.166.15.190156.166.15.19162
64156.166.15.192/26156.166.15.193 to 156.166.15.254156.166.15.25562
65156.166.16.0/26156.166.16.1 to 156.166.16.62156.166.16.6362
66156.166.16.64/26156.166.16.65 to 156.166.16.126156.166.16.12762
67156.166.16.128/26156.166.16.129 to 156.166.16.190156.166.16.19162
68156.166.16.192/26156.166.16.193 to 156.166.16.254156.166.16.25562
69156.166.17.0/26156.166.17.1 to 156.166.17.62156.166.17.6362
70156.166.17.64/26156.166.17.65 to 156.166.17.126156.166.17.12762
71156.166.17.128/26156.166.17.129 to 156.166.17.190156.166.17.19162
72156.166.17.192/26156.166.17.193 to 156.166.17.254156.166.17.25562
73156.166.18.0/26156.166.18.1 to 156.166.18.62156.166.18.6362
74156.166.18.64/26156.166.18.65 to 156.166.18.126156.166.18.12762
75156.166.18.128/26156.166.18.129 to 156.166.18.190156.166.18.19162
76156.166.18.192/26156.166.18.193 to 156.166.18.254156.166.18.25562
77156.166.19.0/26156.166.19.1 to 156.166.19.62156.166.19.6362
78156.166.19.64/26156.166.19.65 to 156.166.19.126156.166.19.12762
79156.166.19.128/26156.166.19.129 to 156.166.19.190156.166.19.19162
80156.166.19.192/26156.166.19.193 to 156.166.19.254156.166.19.25562
81156.166.20.0/26156.166.20.1 to 156.166.20.62156.166.20.6362
82156.166.20.64/26156.166.20.65 to 156.166.20.126156.166.20.12762
83156.166.20.128/26156.166.20.129 to 156.166.20.190156.166.20.19162
84156.166.20.192/26156.166.20.193 to 156.166.20.254156.166.20.25562
85156.166.21.0/26156.166.21.1 to 156.166.21.62156.166.21.6362
86156.166.21.64/26156.166.21.65 to 156.166.21.126156.166.21.12762
87156.166.21.128/26156.166.21.129 to 156.166.21.190156.166.21.19162
88156.166.21.192/26156.166.21.193 to 156.166.21.254156.166.21.25562
89156.166.22.0/26156.166.22.1 to 156.166.22.62156.166.22.6362
90156.166.22.64/26156.166.22.65 to 156.166.22.126156.166.22.12762
91156.166.22.128/26156.166.22.129 to 156.166.22.190156.166.22.19162
92156.166.22.192/26156.166.22.193 to 156.166.22.254156.166.22.25562
93156.166.23.0/26156.166.23.1 to 156.166.23.62156.166.23.6362
94156.166.23.64/26156.166.23.65 to 156.166.23.126156.166.23.12762
95156.166.23.128/26156.166.23.129 to 156.166.23.190156.166.23.19162
96156.166.23.192/26156.166.23.193 to 156.166.23.254156.166.23.25562
97156.166.24.0/26156.166.24.1 to 156.166.24.62156.166.24.6362
98156.166.24.64/26156.166.24.65 to 156.166.24.126156.166.24.12762
99156.166.24.128/26156.166.24.129 to 156.166.24.190156.166.24.19162
100156.166.24.192/26156.166.24.193 to 156.166.24.254156.166.24.25562
101156.166.25.0/26156.166.25.1 to 156.166.25.62156.166.25.6362
102156.166.25.64/26156.166.25.65 to 156.166.25.126156.166.25.12762
103156.166.25.128/26156.166.25.129 to 156.166.25.190156.166.25.19162
104156.166.25.192/26156.166.25.193 to 156.166.25.254156.166.25.25562
105156.166.26.0/26156.166.26.1 to 156.166.26.62156.166.26.6362
106156.166.26.64/26156.166.26.65 to 156.166.26.126156.166.26.12762
107156.166.26.128/26156.166.26.129 to 156.166.26.190156.166.26.19162
108156.166.26.192/26156.166.26.193 to 156.166.26.254156.166.26.25562
109156.166.27.0/26156.166.27.1 to 156.166.27.62156.166.27.6362
110156.166.27.64/26156.166.27.65 to 156.166.27.126156.166.27.12762
111156.166.27.128/26156.166.27.129 to 156.166.27.190156.166.27.19162
112156.166.27.192/26156.166.27.193 to 156.166.27.254156.166.27.25562
113156.166.28.0/26156.166.28.1 to 156.166.28.62156.166.28.6362
114156.166.28.64/26156.166.28.65 to 156.166.28.126156.166.28.12762
115156.166.28.128/26156.166.28.129 to 156.166.28.190156.166.28.19162
116156.166.28.192/26156.166.28.193 to 156.166.28.254156.166.28.25562
117156.166.29.0/26156.166.29.1 to 156.166.29.62156.166.29.6362
118156.166.29.64/26156.166.29.65 to 156.166.29.126156.166.29.12762
119156.166.29.128/26156.166.29.129 to 156.166.29.190156.166.29.19162
120156.166.29.192/26156.166.29.193 to 156.166.29.254156.166.29.25562
121156.166.30.0/26156.166.30.1 to 156.166.30.62156.166.30.6362
122156.166.30.64/26156.166.30.65 to 156.166.30.126156.166.30.12762
123156.166.30.128/26156.166.30.129 to 156.166.30.190156.166.30.19162
124156.166.30.192/26156.166.30.193 to 156.166.30.254156.166.30.25562
125156.166.31.0/26156.166.31.1 to 156.166.31.62156.166.31.6362
126156.166.31.64/26156.166.31.65 to 156.166.31.126156.166.31.12762
127156.166.31.128/26156.166.31.129 to 156.166.31.190156.166.31.19162
128156.166.31.192/26156.166.31.193 to 156.166.31.254156.166.31.25562
129156.166.32.0/26156.166.32.1 to 156.166.32.62156.166.32.6362
130156.166.32.64/26156.166.32.65 to 156.166.32.126156.166.32.12762
131156.166.32.128/26156.166.32.129 to 156.166.32.190156.166.32.19162
132156.166.32.192/26156.166.32.193 to 156.166.32.254156.166.32.25562
133156.166.33.0/26156.166.33.1 to 156.166.33.62156.166.33.6362
134156.166.33.64/26156.166.33.65 to 156.166.33.126156.166.33.12762
135156.166.33.128/26156.166.33.129 to 156.166.33.190156.166.33.19162
136156.166.33.192/26156.166.33.193 to 156.166.33.254156.166.33.25562
137156.166.34.0/26156.166.34.1 to 156.166.34.62156.166.34.6362
138156.166.34.64/26156.166.34.65 to 156.166.34.126156.166.34.12762
139156.166.34.128/26156.166.34.129 to 156.166.34.190156.166.34.19162
140156.166.34.192/26156.166.34.193 to 156.166.34.254156.166.34.25562
141156.166.35.0/26156.166.35.1 to 156.166.35.62156.166.35.6362
142156.166.35.64/26156.166.35.65 to 156.166.35.126156.166.35.12762
143156.166.35.128/26156.166.35.129 to 156.166.35.190156.166.35.19162
144156.166.35.192/26156.166.35.193 to 156.166.35.254156.166.35.25562
145156.166.36.0/26156.166.36.1 to 156.166.36.62156.166.36.6362
146156.166.36.64/26156.166.36.65 to 156.166.36.126156.166.36.12762
147156.166.36.128/26156.166.36.129 to 156.166.36.190156.166.36.19162
148156.166.36.192/26156.166.36.193 to 156.166.36.254156.166.36.25562
149156.166.37.0/26156.166.37.1 to 156.166.37.62156.166.37.6362
150156.166.37.64/26156.166.37.65 to 156.166.37.126156.166.37.12762
151156.166.37.128/26156.166.37.129 to 156.166.37.190156.166.37.19162
152156.166.37.192/26156.166.37.193 to 156.166.37.254156.166.37.25562
153156.166.38.0/26156.166.38.1 to 156.166.38.62156.166.38.6362
154156.166.38.64/26156.166.38.65 to 156.166.38.126156.166.38.12762
155156.166.38.128/26156.166.38.129 to 156.166.38.190156.166.38.19162
156156.166.38.192/26156.166.38.193 to 156.166.38.254156.166.38.25562
157156.166.39.0/26156.166.39.1 to 156.166.39.62156.166.39.6362
158156.166.39.64/26156.166.39.65 to 156.166.39.126156.166.39.12762
159156.166.39.128/26156.166.39.129 to 156.166.39.190156.166.39.19162
160156.166.39.192/26156.166.39.193 to 156.166.39.254156.166.39.25562
161156.166.40.0/26156.166.40.1 to 156.166.40.62156.166.40.6362
162156.166.40.64/26156.166.40.65 to 156.166.40.126156.166.40.12762
163156.166.40.128/26156.166.40.129 to 156.166.40.190156.166.40.19162
164156.166.40.192/26156.166.40.193 to 156.166.40.254156.166.40.25562
165156.166.41.0/26156.166.41.1 to 156.166.41.62156.166.41.6362
166156.166.41.64/26156.166.41.65 to 156.166.41.126156.166.41.12762
167156.166.41.128/26156.166.41.129 to 156.166.41.190156.166.41.19162
168156.166.41.192/26156.166.41.193 to 156.166.41.254156.166.41.25562
169156.166.42.0/26156.166.42.1 to 156.166.42.62156.166.42.6362
170156.166.42.64/26156.166.42.65 to 156.166.42.126156.166.42.12762
171156.166.42.128/26156.166.42.129 to 156.166.42.190156.166.42.19162
172156.166.42.192/26156.166.42.193 to 156.166.42.254156.166.42.25562
173156.166.43.0/26156.166.43.1 to 156.166.43.62156.166.43.6362
174156.166.43.64/26156.166.43.65 to 156.166.43.126156.166.43.12762
175156.166.43.128/26156.166.43.129 to 156.166.43.190156.166.43.19162
176156.166.43.192/26156.166.43.193 to 156.166.43.254156.166.43.25562
177156.166.44.0/26156.166.44.1 to 156.166.44.62156.166.44.6362
178156.166.44.64/26156.166.44.65 to 156.166.44.126156.166.44.12762
179156.166.44.128/26156.166.44.129 to 156.166.44.190156.166.44.19162
180156.166.44.192/26156.166.44.193 to 156.166.44.254156.166.44.25562
181156.166.45.0/26156.166.45.1 to 156.166.45.62156.166.45.6362
182156.166.45.64/26156.166.45.65 to 156.166.45.126156.166.45.12762
183156.166.45.128/26156.166.45.129 to 156.166.45.190156.166.45.19162
184156.166.45.192/26156.166.45.193 to 156.166.45.254156.166.45.25562
185156.166.46.0/26156.166.46.1 to 156.166.46.62156.166.46.6362
186156.166.46.64/26156.166.46.65 to 156.166.46.126156.166.46.12762
187156.166.46.128/26156.166.46.129 to 156.166.46.190156.166.46.19162
188156.166.46.192/26156.166.46.193 to 156.166.46.254156.166.46.25562
189156.166.47.0/26156.166.47.1 to 156.166.47.62156.166.47.6362
190156.166.47.64/26156.166.47.65 to 156.166.47.126156.166.47.12762
191156.166.47.128/26156.166.47.129 to 156.166.47.190156.166.47.19162
192156.166.47.192/26156.166.47.193 to 156.166.47.254156.166.47.25562
193156.166.48.0/26156.166.48.1 to 156.166.48.62156.166.48.6362
194156.166.48.64/26156.166.48.65 to 156.166.48.126156.166.48.12762
195156.166.48.128/26156.166.48.129 to 156.166.48.190156.166.48.19162
196156.166.48.192/26156.166.48.193 to 156.166.48.254156.166.48.25562
197156.166.49.0/26156.166.49.1 to 156.166.49.62156.166.49.6362
198156.166.49.64/26156.166.49.65 to 156.166.49.126156.166.49.12762
199156.166.49.128/26156.166.49.129 to 156.166.49.190156.166.49.19162
200156.166.49.192/26156.166.49.193 to 156.166.49.254156.166.49.25562
201156.166.50.0/26156.166.50.1 to 156.166.50.62156.166.50.6362
202156.166.50.64/26156.166.50.65 to 156.166.50.126156.166.50.12762
203156.166.50.128/26156.166.50.129 to 156.166.50.190156.166.50.19162
204156.166.50.192/26156.166.50.193 to 156.166.50.254156.166.50.25562
205156.166.51.0/26156.166.51.1 to 156.166.51.62156.166.51.6362
206156.166.51.64/26156.166.51.65 to 156.166.51.126156.166.51.12762
207156.166.51.128/26156.166.51.129 to 156.166.51.190156.166.51.19162
208156.166.51.192/26156.166.51.193 to 156.166.51.254156.166.51.25562
209156.166.52.0/26156.166.52.1 to 156.166.52.62156.166.52.6362
210156.166.52.64/26156.166.52.65 to 156.166.52.126156.166.52.12762
211156.166.52.128/26156.166.52.129 to 156.166.52.190156.166.52.19162
212156.166.52.192/26156.166.52.193 to 156.166.52.254156.166.52.25562
213156.166.53.0/26156.166.53.1 to 156.166.53.62156.166.53.6362
214156.166.53.64/26156.166.53.65 to 156.166.53.126156.166.53.12762
215156.166.53.128/26156.166.53.129 to 156.166.53.190156.166.53.19162
216156.166.53.192/26156.166.53.193 to 156.166.53.254156.166.53.25562
217156.166.54.0/26156.166.54.1 to 156.166.54.62156.166.54.6362
218156.166.54.64/26156.166.54.65 to 156.166.54.126156.166.54.12762
219156.166.54.128/26156.166.54.129 to 156.166.54.190156.166.54.19162
220156.166.54.192/26156.166.54.193 to 156.166.54.254156.166.54.25562
221156.166.55.0/26156.166.55.1 to 156.166.55.62156.166.55.6362
222156.166.55.64/26156.166.55.65 to 156.166.55.126156.166.55.12762
223156.166.55.128/26156.166.55.129 to 156.166.55.190156.166.55.19162
224156.166.55.192/26156.166.55.193 to 156.166.55.254156.166.55.25562
225156.166.56.0/26156.166.56.1 to 156.166.56.62156.166.56.6362
226156.166.56.64/26156.166.56.65 to 156.166.56.126156.166.56.12762
227156.166.56.128/26156.166.56.129 to 156.166.56.190156.166.56.19162
228156.166.56.192/26156.166.56.193 to 156.166.56.254156.166.56.25562
229156.166.57.0/26156.166.57.1 to 156.166.57.62156.166.57.6362
230156.166.57.64/26156.166.57.65 to 156.166.57.126156.166.57.12762
231156.166.57.128/26156.166.57.129 to 156.166.57.190156.166.57.19162
232156.166.57.192/26156.166.57.193 to 156.166.57.254156.166.57.25562
233156.166.58.0/26156.166.58.1 to 156.166.58.62156.166.58.6362
234156.166.58.64/26156.166.58.65 to 156.166.58.126156.166.58.12762
235156.166.58.128/26156.166.58.129 to 156.166.58.190156.166.58.19162
236156.166.58.192/26156.166.58.193 to 156.166.58.254156.166.58.25562
237156.166.59.0/26156.166.59.1 to 156.166.59.62156.166.59.6362
238156.166.59.64/26156.166.59.65 to 156.166.59.126156.166.59.12762
239156.166.59.128/26156.166.59.129 to 156.166.59.190156.166.59.19162
240156.166.59.192/26156.166.59.193 to 156.166.59.254156.166.59.25562
241156.166.60.0/26156.166.60.1 to 156.166.60.62156.166.60.6362
242156.166.60.64/26156.166.60.65 to 156.166.60.126156.166.60.12762
243156.166.60.128/26156.166.60.129 to 156.166.60.190156.166.60.19162
244156.166.60.192/26156.166.60.193 to 156.166.60.254156.166.60.25562
245156.166.61.0/26156.166.61.1 to 156.166.61.62156.166.61.6362
246156.166.61.64/26156.166.61.65 to 156.166.61.126156.166.61.12762
247156.166.61.128/26156.166.61.129 to 156.166.61.190156.166.61.19162
248156.166.61.192/26156.166.61.193 to 156.166.61.254156.166.61.25562
249156.166.62.0/26156.166.62.1 to 156.166.62.62156.166.62.6362
250156.166.62.64/26156.166.62.65 to 156.166.62.126156.166.62.12762
251156.166.62.128/26156.166.62.129 to 156.166.62.190156.166.62.19162
252156.166.62.192/26156.166.62.193 to 156.166.62.254156.166.62.25562
253156.166.63.0/26156.166.63.1 to 156.166.63.62156.166.63.6362
254156.166.63.64/26156.166.63.65 to 156.166.63.126156.166.63.12762
255156.166.63.128/26156.166.63.129 to 156.166.63.190156.166.63.19162
256156.166.63.192/26156.166.63.193 to 156.166.63.254156.166.63.25562

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses